Bug 182396 - Nv driver shows green/gray/white stripes
Nv driver shows green/gray/white stripes
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
https://bugs.freedesktop.org/show_bug...
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-02-22 05:13 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-06 22:13:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 6037 None None None Never

  None (edit)
Description Ivan Gyurdiev 2006-02-22 05:13:21 EST
The nv driver fails to work for me.
Either at rhgb, or at X startup if rhgb is disabled, it shows a bunch of green
stripes on gray background. Then white stripes are added a bit later.

The consoles (CTRL-ALT-F*) do not refresh properly, and will get "stuck" not
displaying what I type, until I switch to a different console, and back to the
original. 

The nvidia driver does not suffer from the same problem. However, killing X from
a nv-driver startup, and switching to nvidia results to odd behavior, such as
(1) dimmed console, and (2) losing the ability to switch to a console (black
screen).

I see no error message in the X log other than this:
(EE) Failed to initialize GLX extension (Compatible NVIDIA X driver not found)
(I use the nvidia libGL, and also, the nvidia GLX extension is installed).

I've seen this bug before, and then it was fixed, I believe here:
* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated to xserver 1.0.1 from X11R7.0

... It must have been reintroduced after that, or the nvidia libGL is breaking
something (which doesn't make much sense to me)

Hardware:

Asus A8N-SLI motherboard (64-bit, PCI-E) with single card
Nvidia GeForce 6800 GS, 256RAM:
(--) PCI:*(1:0:0) nVidia Corporation NV41.0 rev 162, Mem @ 0xd0000000/24,
0xc0000000/28, 0xd1000000/24, BIOS @ 0xd2000000/17

More info on request..
Comment 1 Mike A. Harris 2006-02-24 07:15:14 EST
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 2 Ivan Gyurdiev 2006-02-24 17:13:11 EST
https://bugs.freedesktop.org/show_bug.cgi?id=6037
Comment 3 Mike A. Harris 2006-02-25 15:57:24 EST
Thanks for the upstream bug URL.  We'll track the driver bug in the X.Org
bugzilla now, however in order to work around the problem in the existing
driver until a real fix is available, we need to know the exact PCI ID
of your chip.

Please attach your X server log file and config file to the report as
uncompressed attachments using the link below.

TIA
Comment 4 Adam Jackson 2006-04-06 22:13:22 EDT
moving to upstream, will pull fix from there once one exists.

Note You need to log in before you can comment on or make changes to this bug.